This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 826147 - wsdl4j.jar incorrectly links to qname-1.6.2.jar, OSGi manifest version is inconsistent
wsdl4j.jar incorrectly links to qname-1.6.2.jar, OSGi manifest version is inc...
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: wsdl4j (Show other bugs)
17
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Mat Booth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-29 13:28 EDT by Gerard Ryan
Modified: 2012-08-09 18:09 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-09 18:09:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch: fix jar installation, fix OSGi bundle version, clean up specfile (5.33 KB, patch)
2012-05-29 13:28 EDT, Gerard Ryan
no flags Details | Diff
patch without changes to javadoc (5.19 KB, patch)
2012-06-15 09:02 EDT, Gerard Ryan
no flags Details | Diff
patch with changes to javadoc, with added %pre section (5.65 KB, patch)
2012-06-15 09:23 EDT, Gerard Ryan
no flags Details | Diff
comment for javadocs %pre section fixed (5.70 KB, patch)
2012-06-15 09:31 EDT, Gerard Ryan
no flags Details | Diff

  None (edit)
Description Gerard Ryan 2012-05-29 13:28:45 EDT
Created attachment 587467 [details]
patch: fix jar installation, fix OSGi bundle version, clean up specfile

Description of problem:

[grdryn@f17 ~]$ ls -l /usr/share/java/wsdl4j* /usr/share/java/qname-1.6.2.jar 
-rw-r--r--. 1 root root 152432 Mar  7 19:27 /usr/share/java/qname-1.6.2.jar
-rw-r--r--. 1 root root 152432 Mar  7 19:27 /usr/share/java/wsdl4j-1.6.2.jar
lrwxrwxrwx. 1 root root     15 May 15 17:30 /usr/share/java/wsdl4j.jar -> qname-1.6.2.jar

1. wsdl4j.jar links to the wrong file

2. the versioned files are unnecessary, there should only be wsdl4j.jar and qname.jar

3. In the OSGi manifest, Bundle-Version is 1.5.2.v200806030407, should be 1.6.2


Description of patch (attached)
1. Specfile installs jar files unversioned, and not linking.

2. Updated Manifest bundle version.

3. wsdl4j-MANIFEST.MF file encoding fixed.

4. Specfile cleaned up a bit, based on other stuff I learned today!
Comment 1 Gerard Ryan 2012-06-15 09:02:15 EDT
Created attachment 592121 [details]
patch without changes to javadoc

Changed the patch to remove the changes to javadocs:

<sochotni> grdryn: well javadoc move is not that trivial unfortunately
<sochotni> grdryn: it suffers from rpm bug so there needs to be a workaround..
<sochotni> grdryn: for example have a look at plexus-compiler spec (%pre javadoc section)
Comment 2 Gerard Ryan 2012-06-15 09:23:52 EDT
Created attachment 592126 [details]
patch with changes to javadoc, with added %pre section

Updated patch to add the original changes to javadocs, with needed %pre section
Comment 3 Gerard Ryan 2012-06-15 09:31:27 EDT
Created attachment 592130 [details]
comment for javadocs %pre section fixed

Note You need to log in before you can comment on or make changes to this bug.